do_circle(3)

NAME
do_circle

SYNOPSIS
#include <allegro.h>

void do_circle(BITMAP *bmp, int x, int y, int radius, int d, void (*proc)());

DESCRIPTION
Calculates all the points in a circle around point (x, y) with radius r, calling the supplied function for each one. This will be passed a copy of the bmp parameter, the x and y position, and a copy of the d parameter, so it is suitable for use with putpixel().

SEE ALSO
do_ellipse(3), do_arc(3), do_line(3), circle(3), circlefill(3)